Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0022685
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2012-12-27 12:532013-02-01 22:29
ReporterngarciaView Statuspublic 
Assigned Todmiguelez 
PriorityurgentResolutionfixedFixed in Version3.0MP20
StatusclosedFix in branchFixed in SCM revisiond1469d10c70a
ProjectionnoneETAnoneTarget Version3.0MP20
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tongarcia
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0022685: A credit can be used in a currency different from the one which was generated with

DescriptionA credit can be used in a currency different from the one which was generated with, if you change the currency of the default price list of the customer
Steps To ReproduceAs group admin role:
   Create a new price list
      Organization: F&B EspaƱa, S.A.
      Currency: USD
      Sales Price List: selected
   Create a price list version for it
      Base Version: Tarifa de ventas
   Click on Create Price List button
   Configure the payment method (Transferencia) of the financial account (Cuenta de banco) to allow receiving payments in multiple currencies
   Create a Sales Invoice for a BP (Alimentos y Supermercados, S.A.) with its default price list (in EUR), payment method and financial account and complete it
   Add a payment to it with a higher amount that the invoice total amount and leave the difference as credit to be used later
   Change the Price List of the Business Partner to the previous created one (Business Partner - Customer - Price List)
   Now create a new Sales Invoice but with the previous created price list (in USD) and complete it
   Add a payment to it by selecting the Use Available Credit
   Add the difference between the total amount and the available credit in the Actual Payment field, select the invoice and process it
   Notice that we have generated the credit in EUR and we have used the same quantity in USD, without converting it
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0018559 closededuardo_Argal Multicurrency - When using credit the amount is not converted 
related to defect 00186613.0MP6 closededuardo_Argal Multicurrency - when using the available credit the conversion rates are not taken in account 
related to defect 0022692 closedjonalegriaesarte Credit could be generated in a different currency from the available credit currency 

-  Notes
(0056031)
hgbot (developer)
2013-01-31 18:49

Repository: erp/devel/pi
Changeset: d1469d10c70aa4116af3055088602c71fdc4a8b0
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Thu Jan 31 18:48:18 2013 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/d1469d10c70aa4116af3055088602c71fdc4a8b0 [^]

Fixes Issue 22685. When creating a Payment against an Invoice
sets the Currency correctly.
Plus, added a restriction. Is not possible to change a Price List
of a Business Partner that has generated credit into one with
a different Currency of the credit generated.

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_actionbutton/ProcessInvoice.java
M src-db/database/model/triggers/C_BPARTNER_TRG.xml
M src-db/database/sourcedata/AD_MESSAGE.xml
---
(0056048)
ngarcia (developer)
2013-02-01 12:19

verified
(0056104)
hudsonbot (developer)
2013-02-01 22:29

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b070aa80fc76 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2012-12-27 12:53 ngarcia New Issue
2012-12-27 12:53 ngarcia Assigned To => dmiguelez
2012-12-27 12:53 ngarcia Modules => Core
2012-12-27 12:53 ngarcia Triggers an Emergency Pack => No
2012-12-27 12:53 ngarcia Issue Monitored: networkb
2012-12-27 12:54 ngarcia Target Version => 3.0MP20
2012-12-27 12:55 ngarcia Relationship added related to 0018559
2012-12-27 12:55 ngarcia Relationship added related to 0018661
2012-12-27 19:06 ngarcia Relationship added related to 0022692
2013-01-31 18:49 hgbot Checkin
2013-01-31 18:49 hgbot Note Added: 0056031
2013-01-31 18:49 hgbot Status new => resolved
2013-01-31 18:49 hgbot Resolution open => fixed
2013-01-31 18:49 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/d1469d10c70aa4116af3055088602c71fdc4a8b0 [^]
2013-02-01 12:19 ngarcia Review Assigned To => ngarcia
2013-02-01 12:19 ngarcia Note Added: 0056048
2013-02-01 12:19 ngarcia Status resolved => closed
2013-02-01 12:19 ngarcia Fixed in Version => 3.0MP20
2013-02-01 22:29 hudsonbot Checkin
2013-02-01 22:29 hudsonbot Note Added: 0056104


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker